Forked from https://gitlab.com/uoou/dotfiles/-/blob/master/stow/bin/home/drew/.local/bin/lace

Lace is a small script to interlace Gemini Capsule micro blogs.

Enhancements made to the original lace with this fork.

The original lace would not run on Linux distributions running sed 3.7 or on Termux on Android.

Lace can now run on either a standard Linux distributions running sed 3.7, Termux on android, and UserLAnd on Android.  Sed, date, openssl, curl, less are dependencies that need to be installed.

The original script showed how long ago a entry was posted. Lace now shows how long ago a post occurred and the date and time of the post. 

### Favicons

Lace may show the actual code for a favicon rather than the icon itself depending on the version of GNU less and/or fonts installed. If this happens you can either install a font that supports the favicon or comment out the following line in the script.

```
fav=$(openssl s_client -crlf -quiet -connect "$domain:1965" <<<"gemini://$domain/favicon.txt" 2>/dev/null | sed -e '1d')
```
Since favicons are not part of the Gemini standard, you may not want favicons to display.  Commenting out the above line of code will prevent favicons from displaying.


### Post about original script.

https://friendo.monster/posts/a-script-to-interleave-tiny-gemini-logs.html

